Skip to main content
GET
/
api
/
v1
/
org
/
executions
List executions
import requests

url = "https://platform.ankra.app/api/v1/org/executions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "type": "<string>",
      "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cluster_name": "<string>",
      "error_excerpt": "<string>",
      "step_summary": {
        "total": 0,
        "succeeded": 0,
        "failed": 0,
        "running": 0,
        "pending": 0
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Query Parameters

cluster_id
string<uuid> | null
scope
enum<string> | null
Available options:
cluster,
platform
status
string[] | null
target_resource_kind
string | null
target_resource_id
string<uuid> | null
include_internal_executions
boolean
default:false
include_silent_reconciles
boolean
default:false
page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

result
ExecutionSummary · object[]
required
pagination
ExecutionPagination · object
required